org.apache.tools.ant.taskdefs.optional.junit

## Class JUnitTask.SummaryAttribute

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.taskdefs.optional.junit.JUnitTask.SummaryAttribute

- Enclosing class:
    JUnitTask

      public static class JUnitTask.SummaryAttribute
      extends EnumeratedAttribute

  Print summary enumeration values.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SummaryAttribute()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `asBoolean()` gives the boolean equivalent of the authorized values
    `java.lang.String[]` | `getValues()` list the possible values

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SummaryAttribute

          public SummaryAttribute()

  - ### Method Detail

    - #### getValues

          public java.lang.String[] getValues()

      list the possible values
      Specified by:
        `getValues` in class `EnumeratedAttribute`
      Returns:
        array of allowed values

    - #### asBoolean

          public boolean asBoolean()

      gives the boolean equivalent of the authorized values
      Returns:
        boolean equivalent of the value